<template>
    <div>
        <v-row style="margin-left: 8%;">
            <v-col cols="6">
                <v-row class="d-flex justify-center" style="margin-right: 30%">
                    <h5 class="title-kpi" v-if="photosMax.length > 0">Productos más vistos</h5>
                </v-row>
            </v-col>
            <v-col cols="6">
                <v-row class="d-flex justify-center">
                    <h5 class="title-kpi" v-if="photosMin.length > 0">Productos menos vistos</h5>
                </v-row>
            </v-col>
        </v-row>
        <v-row style="margin-left: 8%;">
            <v-col cols="6">
                <v-row class="d-flex">
                    <div v-for="ph in photosMax" :key="ph.name">
                        <div><HexImageButton :preview="ph.photos" :name="ph.name" /></div>
                    </div>
                    <p class="align-center" style="color:#feca38" v-show="photosMax <= 0"></p>
                </v-row>
            </v-col>
            <v-col cols="6">
                <v-row class="d-flex">
                    <div v-for="phm in photosMin" :key="phm.name">
                        <div><HexImageButton :preview="phm.photos" :name="phm.name" /></div>
                    </div>
                    <p class="align-center" style="color:#feca38" v-show="photosMin <= 0"></p>
                </v-row>
            </v-col>
        </v-row>
    </div>
</template>

<script lang="ts">
import HexImageButton from '@/components/commons/HexImageButton.vue';
import { Component, Prop, Vue } from 'vue-property-decorator';
import { ProductsViews } from '@/model/kpi/View';

@Component({
    components: { HexImageButton }
})
export default class ProductsTop extends Vue {
    @Prop({ default: () => [] })
    photosMax!: ProductsViews[];
    @Prop({ default: () => [] })
    photosMin!: ProductsViews[];
}
</script>

<style scoped></style>
